Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "0da80ce3-4b9a-40cf-9138-282bddbed252",
"date_start": "2026-11-18T23:36:30.1370963+00:00",
"date_end": "2026-11-18T23:36:30.1370963+00:00",
"modified_dateutc": "2026-11-18T23:36:30.1370963+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "6f6d3afe-7bc7-43cd-b1fd-04674c762063",
"user_code": "sample string 8",
"user": {
"id": "1652631d-8d5d-4201-beb9-44f6ef39b9a8",
"db_language_id": "b092dba6-4168-455a-a71e-e05498ce4b45",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-18T23:36:30.1483612+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "d4bda561-462f-4f04-b134-f73c70c09bd4",
"sales_organization": {
"id": "585e372d-e3c8-4639-9fdc-9a5d4ee8836a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b74294e4-e9cd-4448-8662-e24aa06e83f2",
"db_currency_id": "305313c3-f12d-4a56-8dbb-a1681061bf5a",
"db_language_id": "a8e88d68-a628-484d-aa7d-370fc57b3917",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-18T23:36:30.1483612+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "dffe64b9-77c4-49cd-8be2-92fc8a4e347c",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "f3c52697-2693-40e7-8070-981a22aecce4",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-18T23:36:30.1483612+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "cdddbcbd-a5e0-4a9b-bc3c-278e6c444295"
},
"user_unavailability_type_id": "9034856b-269a-4cc8-b6d8-fdf3677680f1",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "31042ac6-0056-4ac3-b733-979c7cb6f3d1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "7cca4279-1a5d-46d0-8c4c-5d38b48c940c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "585e372d-e3c8-4639-9fdc-9a5d4ee8836a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b74294e4-e9cd-4448-8662-e24aa06e83f2",
"db_currency_id": "305313c3-f12d-4a56-8dbb-a1681061bf5a",
"db_language_id": "a8e88d68-a628-484d-aa7d-370fc57b3917",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-18T23:36:30.1483612+00:00"
},
"modified_dateutc": "2026-11-18T23:36:30.1483612+00:00"
}
}